Package com.pixelmed.dicom

## Class CodingSchemeIdentification

- java.lang.Object
- - com.pixelmed.dicom.CodingSchemeIdentification

-     public class CodingSchemeIdentification
      extends java.lang.Object

  A class to encapsulate the information related to Coding Scheme Identification encoded in composite instances within CodingSchemeIdentificationSequence.

  Includes a "dictionary" of various commonly used coding schemes and mappings between their CodingSchemeDesignators and OIDs, as well as convenience methods to add and extract what coding schemes are used within an instance.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CodingSchemeIdentificationItem` | `ACR` |
    `static CodingSchemeIdentificationItem` | `ASTM_SIG` |
    `static CodingSchemeIdentificationItem` | `C4` |
    `static CodingSchemeIdentificationItem` | `C5` |
    `static CodingSchemeIdentificationItem` | `CD2` |
    `static CodingSchemeIdentificationItem` | `DCM` |
    `static CodingSchemeIdentificationItem` | `DCMUID` |
    `static CodingSchemeIdentificationItem` | `HPC` |
    `static CodingSchemeIdentificationItem` | `I10` |
    `static CodingSchemeIdentificationItem` | `I10P` |
    `static CodingSchemeIdentificationItem` | `I9` |
    `static CodingSchemeIdentificationItem` | `I9C` |
    `static CodingSchemeIdentificationItem` | `ISO3166_1` |
    `static CodingSchemeIdentificationItem` | `ISO639_1` |
    `static CodingSchemeIdentificationItem` | `ISO639_2` |
    `protected static CodingSchemeIdentificationItem[]` | `knownCodingSchemes` |
    `protected java.util.List<CodingSchemeIdentificationItem>` | `listOfItems` |
    `static CodingSchemeIdentificationItem` | `LN` |
    `static CodingSchemeIdentificationItem` | `POS` |
    `static CodingSchemeIdentificationItem` | `Private_99_OFFIS_DCMTK` |
    `static CodingSchemeIdentificationItem` | `Private_99IPCMR` |
    `static CodingSchemeIdentificationItem` | `Private_99PMP` |
    `static CodingSchemeIdentificationItem` | `RADLEX` |
    `static java.lang.String` | `REGISTRY_HL7` |
    `static CodingSchemeIdentificationItem` | `RFC3066` |
    `static CodingSchemeIdentificationItem` | `SCT` |
    `static CodingSchemeIdentificationItem` | `SNM3` |
    `static CodingSchemeIdentificationItem` | `SRT` |
    `static CodingSchemeIdentificationItem` | `UCUM` |
    `static CodingSchemeIdentificationItem` | `UMLS` |
    `static CodingSchemeIdentificationItem` | `UPC` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CodingSchemeIdentification​(AttributeList list)` | Construct a CodingSchemeIdentification instance from the CodingSchemeIdentificationSequence in the supplied list.
    `CodingSchemeIdentification​(java.util.List<CodingSchemeIdentificationItem> listOfItems)` | Construct a CodingSchemeIdentification from a list of CodingSchemeIdentificationItems.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SequenceAttribute` | `getAsSequenceAttribute()` | Get as a CodingSchemeIdentificationSequence attribute.
    `CodingSchemeIdentificationItem` | `getByCodingSchemeDesignator​(java.lang.String codingSchemeDesignator)` | Get details of a particular coding scheme by looking up by CodingSchemeDesignator value.
    `static CodingSchemeIdentification` | `getCodingSchemesFromExistingAttributeList​(AttributeList list)` | Build a new CodingSchemeIdentification instance by examining all uses of CodedSequenceItems within the supplied list.
    `protected static CodingSchemeIdentificationItem` | `lookupByCodingSchemeDesignator​(java.lang.String csd)` |
    `protected static void` | `recursivelyCollectCodingSchemeDesignators​(AttributeList list, java.util.Set<java.lang.String> schemesFound)` |
    `static void` | `replaceCodingSchemeIdentificationSequenceWithCodingSchemesUsedInAttributeList​(AttributeList list)` | Replace any existing CodingSchemeIdentificationSequence in the list with information gathered by examining all uses of CodedSequenceItems within the list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### listOfItems

          protected java.util.List<CodingSchemeIdentificationItem> listOfItems

    - #### REGISTRY_HL7

          public static final java.lang.String REGISTRY_HL7

      See Also:
        Constant Field Values

    - #### ACR

          public static final CodingSchemeIdentificationItem ACR

    - #### ASTM_SIG

          public static final CodingSchemeIdentificationItem ASTM_SIG

    - #### C4

          public static final CodingSchemeIdentificationItem C4

    - #### C5

          public static final CodingSchemeIdentificationItem C5

    - #### CD2

          public static final CodingSchemeIdentificationItem CD2

    - #### DCM

          public static final CodingSchemeIdentificationItem DCM

    - #### DCMUID

          public static final CodingSchemeIdentificationItem DCMUID

    - #### HPC

          public static final CodingSchemeIdentificationItem HPC

    - #### I10

          public static final CodingSchemeIdentificationItem I10

    - #### I10P

          public static final CodingSchemeIdentificationItem I10P

    - #### I9

          public static final CodingSchemeIdentificationItem I9

    - #### I9C

          public static final CodingSchemeIdentificationItem I9C

    - #### ISO3166_1

          public static final CodingSchemeIdentificationItem ISO3166_1

    - #### ISO639_1

          public static final CodingSchemeIdentificationItem ISO639_1

    - #### ISO639_2

          public static final CodingSchemeIdentificationItem ISO639_2

    - #### LN

          public static final CodingSchemeIdentificationItem LN

    - #### POS

          public static final CodingSchemeIdentificationItem POS

    - #### RADLEX

          public static final CodingSchemeIdentificationItem RADLEX

    - #### RFC3066

          public static final CodingSchemeIdentificationItem RFC3066

    - #### SNM3

          public static final CodingSchemeIdentificationItem SNM3

    - #### SCT

          public static final CodingSchemeIdentificationItem SCT

    - #### SRT

          public static final CodingSchemeIdentificationItem SRT

    - #### UCUM

          public static final CodingSchemeIdentificationItem UCUM

    - #### UMLS

          public static final CodingSchemeIdentificationItem UMLS

    - #### UPC

          public static final CodingSchemeIdentificationItem UPC

    - #### Private_99_OFFIS_DCMTK

          public static final CodingSchemeIdentificationItem Private_99_OFFIS_DCMTK

    - #### Private_99PMP

          public static final CodingSchemeIdentificationItem Private_99PMP

    - #### Private_99IPCMR

          public static final CodingSchemeIdentificationItem Private_99IPCMR

    - #### knownCodingSchemes

          protected static CodingSchemeIdentificationItem[] knownCodingSchemes

  - ### Constructor Detail

    - #### CodingSchemeIdentification

          public CodingSchemeIdentification​(AttributeList list)

      Construct a CodingSchemeIdentification instance from the CodingSchemeIdentificationSequence in the supplied list.

      Parameters:
        `list` - the list in which to look for the CodingSchemeIdentificationSequence attribute

    - #### CodingSchemeIdentification

          public CodingSchemeIdentification​(java.util.List<CodingSchemeIdentificationItem> listOfItems)

      Construct a CodingSchemeIdentification from a list of CodingSchemeIdentificationItems.

      Parameters:
        `listOfItems` - may be null if none (yet)

  - ### Method Detail

    - #### lookupByCodingSchemeDesignator

          protected static CodingSchemeIdentificationItem lookupByCodingSchemeDesignator​(java.lang.String csd)

    - #### getAsSequenceAttribute

          public SequenceAttribute getAsSequenceAttribute()

      Get as a CodingSchemeIdentificationSequence attribute.

      Returns:
        a SequenceAttribute with one item per coding scheme, or null if no coding schemes

    - #### getByCodingSchemeDesignator

          public CodingSchemeIdentificationItem getByCodingSchemeDesignator​(java.lang.String codingSchemeDesignator)

      Get details of a particular coding scheme by looking up by CodingSchemeDesignator value.

      Parameters:
        `codingSchemeDesignator` - coding scheme designator
      Returns:
        a CodingSchemeIdentificationItem, or null if not found

    - #### recursivelyCollectCodingSchemeDesignators

          protected static void recursivelyCollectCodingSchemeDesignators​(AttributeList list,
                                                                          java.util.Set<java.lang.String> schemesFound)

    - #### getCodingSchemesFromExistingAttributeList

          public static CodingSchemeIdentification getCodingSchemesFromExistingAttributeList​(AttributeList list)

      Build a new CodingSchemeIdentification instance by examining all uses of CodedSequenceItems within the supplied list.

      Parameters:
        `list` - the list in which to look for the CodedSequenceItem attribute
      Returns:
        a new CodingSchemeIdentification, or null if none found

    - #### replaceCodingSchemeIdentificationSequenceWithCodingSchemesUsedInAttributeList

          public static void replaceCodingSchemeIdentificationSequenceWithCodingSchemesUsedInAttributeList​(AttributeList list)

      Replace any existing CodingSchemeIdentificationSequence in the list with information gathered by examining all uses of CodedSequenceItems within the list.

      Parameters:
        `list` - the list in which to look for the CodedSequenceItem attribute